<?php

class Sisow_Gateway_Giropay extends Sisow_Gateway_Abstract
{
	public static function getCode()
    {
        return "giropay";
    }

    public static function getName()
    {
        return "Giropay";
    }
	
	public static function canRefund()
	{
		return false;
	}
	
	public static function addScript()
	{
		wp_enqueue_script( "sisow_giropay_script", "https://www.sisow.nl/Sisow/scripts/giro-eps.js", array('jquery'));
		wp_enqueue_style( "sisow-giropay-css", "https://bankauswahl.giropay.de/widget/v1/style.css");
	}
	
	public function payment_fields()
    {
		$description = '';
		
		$description_text = $this->get_option('description');
		if(!empty($description_text))
			$description .= '<p>' . $description_text . '</p>';
		
		$description .= '<p>';
		$description .= 'Mit giropay zahlen Sie einfach, schnell und sicher im Online-Banking Ihrer teilnehmenden Bank oder Sparkasse. Sie werden direkt zum Online-Banking Ihrer Bank weitergeleitet, wo Sie die &Uuml;berweisung durch Eingabe von PIN und TAN freigeben.';
		$description .= '</p>';	
		$description .= '<p>';
		$description .= __('Bankcode', 'woocommerce-sisow') . '<br/>';
		$description .= '<input id="giropay_widget" autocomplete="off" name="giropay_bic" class="input-text required-entry" />';
		$description .= '</p>';	
		
		$description .= '<script>
								( function($) {
									$(document).ready(function() {
										$(\'#giropay_widget\').giropay_widget({\'return\': \'bic\',\'kind\': 1});
									});
								} ) ( jQuery );
							</script>';
		
        echo $description;
    }
	
	public function validate_fields() 
	{ 
		if(empty($_POST['giropay_bic']))
		{
			wc_add_notice( __('Please insert a bank code', 'woocommerce-sisow'), 'error' );
			return false; 
		}
		return true; 
	}
}